import javax.swing.*;
import java.util.*;
public class Cylinder3 {
    public static void main (String[] arg) {
        while (true) {
            String input = JOptionPane.showInputDialog("Ange cylinderns radie och hjd:");
            if (input == null)
                break;
            Scanner sc = new Scanner(input);
            double radius  = sc.nextDouble();
            double height = sc.nextDouble();
            double area = computeArea(radius, height);
            double volume = computeVolume(radius, height);
            JOptionPane.showMessageDialog(null, "Arean av cylindern r "+ area 
                                          + "\nVolymen av cylindern r " + volume);
        }
    } //main

    private static double computeArea(double radius, double height) {
        return  computeSideArea(radius, height) + 2*computeCircleArea(radius);
    }//computeArea

    private static double computeVolume(double radius, double height) {
        return computeCircleArea(radius) * height;
    } //computeVolume

    private static double computeSideArea(double radius, double height) {
        return  2*Math.PI*radius*height;
    }//computeSideArea

    private static double computeCircleArea(double radius) {
        return  Math.PI*Math.pow(radius, 2);
    }//computeCircleArea
} //Cylinder3
